## com.ericsson.otp.ic
Class ByteHolder

    java.lang.Object
      |
      +--com.ericsson.otp.ic.ByteHolder

All Implemented Interfaces:
  Holder, java.io.Serializable

public final class ByteHolder
extends java.lang.Object
implements Holder

Holder class for Byte, according to OMG-IDL java mapping.

See Also:
  Serialized Form

Field Summary
`byte` `value`

Constructor Summary
`ByteHolder()`
`ByteHolder(byte initial)`

Method Summary
`boolean` `equals(byte b)` Comparisson method for Byte.
`boolean` `equals(java.lang.Object obj)` Comparisson method for Bytes.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public byte value

Constructor Detail

### ByteHolder

    public ByteHolder()

### ByteHolder

    public ByteHolder(byte initial)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Comparisson method for Bytes.
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the input object equals the current object, false otherwize

### equals

    public boolean equals(byte b)

  Comparisson method for Byte.
  Returns:
    true if the input boolean value equals the value of the current object, false otherwize

Copyright © 1991-1999 Ericsson Utvecklings AB